### Property

# Gtk StringSorter:collation

since: 4.10

#### Declaration

    property collation: Gtk.Collation [ read, write ]

#### Description [src]

The collation method to use for sorting.

The `GTK_COLLATION_NONE` value is useful when the expression already returns collation keys, or strings that need to be compared byte-by-byte.

The default value, `GTK_COLLATION_UNICODE`, compares strings according to the Unicode collation algorithm.

Type: | `GtkCollation`
Available since: | 4.10

Default value | GTK_COLLATION_UNICODE
Getter method | `gtk_string_sorter_get_collation()`
Setter method | `gtk_string_sorter_set_collation()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no